PR_SVE_GET_VL(2const)

NAME
PR_SVE_GET_VL - get the thread's SVE vector length

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <linux/prctl.h>  /* Definition of PR_* constants */
#include <sys/prctl.h>

int prctl(PR_SVE_GET_VL);

DESCRIPTION
Get the thread's current SVE vector length configuration.

This operation returns a nonnegative value that describes the current configuration. The bits corresponding to PR_SVE_VL_LEN_MASK contain the currently configured vector length in bytes. The bit corresponding to PR_SVE_VL_INHERIT indicates whether the vector length will be inherited across execve(2).

RETURN VALUE
On success, PR_SVE_GET_VL, return the nonnegative values described above. On error, -1 is returned, and errno is set to indicate the error.

ERRORS

EINVAL
    SVE is not available on this platform.

STANDARDS
Linux. arm64 only.

HISTORY
Linux 4.15 (arm64).

CAVEATS
There is no way to determine whether there is a pending vector length change that has not yet taken effect.

SEE ALSO
prctl(2), PR_SVE_SET_VL(2const)

For more information, see the kernel source file Documentation/arch/arm64/sve.rst.